json
{
"CallFilterId": "CFID-05c3d6d2-21c2-4fab-8c7c-12746cad1499"
}curl -X POST https://api.telegent.com/v1.0/subscribers/call-filter/delete \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"CallFilterId": "CFID-05c3d6d2-21c2-4fab-8c7c-12746cad1499"
}'import requests
url = "https://api.telegent.com/v1.0/subscribers/call-filter/delete"
payload = { "CallFilterId": "CFID-05c3d6d2-21c2-4fab-8c7c-12746cad1499" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({CallFilterId: 'CFID-05c3d6d2-21c2-4fab-8c7c-12746cad1499'})
};
fetch('https://api.telegent.com/v1.0/subscribers/call-filter/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Status": "Deleted",
"FilterId": "CFID-05c3d6d2-21c2-4fab-8c7c-12746cad1499",
"DateDeleted": "2025-11-07T00:23:57.4465319+00:00"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Subscribers
Delete Call Filter
Permanently remove a call filter from a subscriber.
Prerequisites:
- Bearer token —
POST /v1.0/oauth2/tokens - An existing
CallFilterId(CFID-)
What this does: Permanently deletes the filter and all its associated allowed/blocked numbers and keyword rules. Calls will no longer be filtered after this call. This cannot be undone.
Next steps:
- Confirm removal —
GET /v1.0/subscribers/call-filter - Create a new filter —
POST /v1.0/subscribers/call-filter
POST
/
v1.0
/
subscribers
/
call-filter
/
delete
json
{
"CallFilterId": "CFID-05c3d6d2-21c2-4fab-8c7c-12746cad1499"
}curl -X POST https://api.telegent.com/v1.0/subscribers/call-filter/delete \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"CallFilterId": "CFID-05c3d6d2-21c2-4fab-8c7c-12746cad1499"
}'import requests
url = "https://api.telegent.com/v1.0/subscribers/call-filter/delete"
payload = { "CallFilterId": "CFID-05c3d6d2-21c2-4fab-8c7c-12746cad1499" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({CallFilterId: 'CFID-05c3d6d2-21c2-4fab-8c7c-12746cad1499'})
};
fetch('https://api.telegent.com/v1.0/subscribers/call-filter/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Status": "Deleted",
"FilterId": "CFID-05c3d6d2-21c2-4fab-8c7c-12746cad1499",
"DateDeleted": "2025-11-07T00:23:57.4465319+00:00"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Body
application/json
The Call Filter ID you want to permanently delete. Format: CFID- followed by a UUID. This cannot be undone.
Example:
"CFID-05c3d6d2-21c2-4fab-8c7c-12746cad1499"
Response
Call Filter Deleted
The response is of type object.
⌘I